# PyroCMS Community Edition

[![Build Status](https://travis-ci.org/pyrocms/pyrocms.png?branch=2.2/master)](https://travis-ci.org/pyrocms/pyrocms)

* [Website](https://www.pyrocms.com/)
* [Documentation](https://www.pyrocms.com/documentation)
* [License](http://pyrocms.com/legal/license)
* [Forums](http://forum.pyrocms.com)
* Version: 2.2.4

## Team

* [Jerel Unruh](http://jerel.co/)
* [Ryan Thompson](http://aiwebsystems.com)
* [Osvaldo Brignoni](http://aiwebsystems.com)
* [Phil Sturgeon](http://philsturgeon.co.uk/)

## Description

PyroCMS is a CMS built using the CodeIgniter PHP framework. Using an MVC architecture
it was built with modularity in mind. Lightweight, themeable and dynamic.

PyroCMS Community Edition is free to use, redistribute and/or modify for any purpose whether personal or commercial however you must retain the copyright in your source code and in the footer of the administration.

## Installation

Run http://example.com/installer to run the web-based installation script.

## Upgrading

* [Upgrading v2.1.x to v2.2.x](http://docs.pyrocms.com/2.2/manual/reference/upgrade-guides/upgrade-2-1-to-2-2-0)

## Bugs & Feature Requests

* [Issue tracker](http://github.com/pyrocms/pyrocms/issues)
* [Forum](http://forum.pyrocms.com)

Before reporting bugs or requesting any features, please check that it does not already exist.

## Git Structure

We use the git-flow model to structure our branches. This means you won't see a lot of activity on the master branch besides releases.
Most of the magic happens in the develop branch.
[More about git-flow](http://nvie.com/posts/a-successful-git-branching-model/)

It's strongly recommended that you download the [git-flow client](https://github.com/nvie/gitflow) and "publish" each feature branch you would like to see merged into the core. This way all features are not version-dependant and you can make as many changes as you like without needing them all to be merged in order.

## Thanks

### Contributors

* [Adam Fairholm](http://adamfairholm.com/)
* [Andrew Smith](http://silentworks.co.uk)
* [Ben Edmunds](http://benedmunds.com/)
* [BenneX](http://github.com/BenneX)
* [Colin Williams](http://williamsconcepts.com/)
* [Dan Horrigan](http://dhorrigan.com/)
* [Eric Barnes](http://ericlbarnes.com/)
* [Lee Tengum](http://twitter.com/thatleeguy)
* [Matt Frost](http://shortwhitebaldguy.com)
* [Matiss Janis](http://www.mja.lv)
* [Ryan Thompson](http://aiwebsystems.com)
* [Stephen Cozart](http://twitter.com/stephencozart)
* [Steve Williamson](http://sjdub.com)
* [Steven Seeley](https://github.com/net-ninja)
* [Yorick Peterse](http://www.yorickpeterse.com/)

Think you should be on this list? Add yourself in the next pull request you submit.

[All Contributors](https://github.com/pyrocms/pyrocms/contributors)

### Translators

* [Demostenes Garcia](http://www.demogar.com/) Spanish
* [Frederic Quie](http://www.bleekom.org/) & [Khalil Tabbal](http://www.khalil-tabbal.com) French
* [TheLoops](http://codeigniter.com/forums/member/62232/) German
* [Bartosz Majewski](http://404design.pl/) Polish
* [diederikeijgelaar](http://github.com/diederikeijgelaar) Dutch
* [okhayat](http://webymaster.com/) Arabic
* [DarkPreacher](http://darklab.ru) Russian
* [Marcos Coelho](http://marcoscoelho.com/) Portuguese Brazilian
* [Miguel Justo](http://migueljusto.net/) Portuguese Portugal
* [imamo](http://www.imamo.si/) Slovenian
* [Petsagourakis George](https://github.com/petsagouris) Greek
* [Mikael Kundert](https://github.com/mikaelkundert) Finnish
* [Jack Sun](http://www.omatic.com.tw/) Chinese Traditional
* [Kefeng Deng](http://www.51any.com/) Chinese Simplified
* [Toni Haryanto](http://toniharyanto.cs.upi.edu/) Indonesian
* [Nateetorn Lertkhonsan](http://twitter.com/ikwannnnn) Thai
* [Christian Giupponi](https://github.com/ChristianGiupponi) Italian
* [Alireza Jahandideh (Yohan)](http://twitter.com/AlirezaJahandid) Persian(Farsi)
* [huglester](http://webas.lt/) Lithuanian
